<?php
include_once('../vendor/autoload.php');
include_once("../config/ConfiguracionBD.php");
include_once("../models/Encuesta233.php");
include_once("../resources/php/FuncionesComunes.php");

$nombreAlumno = FuncionesComunes::decrypt($_REQUEST["nombreAlumno"]);
$encuesta233Id = FuncionesComunes::decrypt($_REQUEST["encuestaId"]);
$Encuesta233 = new Encuesta233();
$Encuesta233->encuesta233Id = $encuesta233Id;
$resultadosEncuesta = $Encuesta233->consultarEncuestas233(1);

$arregloEtiquetasAreas= array('','','','','','','','');
$arregloValoresAreas= array(0,0,0,0,0,0,0,0);


if($resultadosEncuesta->num_rows>0)
{
    $rowRespuestasEncuesta = $resultadosEncuesta->fetch_assoc();
    /*$resultadoPreguntasSec1 = $this->Encuesta->consultarPreguntasEncuestas(3,1);
    if($resultadoPreguntasSec1->num_rows>0)
    {
        $contadorArreglo=0;
        while ($rowPregunta = $resultadoPreguntasSec1->fetch_object())
        {
            if($rowRespuestasEncuesta["pregunta".$rowPregunta->orden]>0)
            {
                if($rowPregunta->orden<=13)
                    $arregloEtiquetasAreas[$contadorArreglo] = html_entity_decode($rowPregunta->pregunta);
                else
                    $arregloEtiquetasAreas[$contadorArreglo] = utf8_encode($rowRespuestasEncuesta["texto".$rowPregunta->orden]);
                $arregloValoresAreas[$contadorArreglo] = $rowRespuestasEncuesta["pregunta".$rowPregunta->orden];
                $contadorArreglo++;
            }
        }
    }*/
}

$html='
<div class="form-group row">
    <div class="col-md-12 col-xs-12 col-sm-12">
        <img src="../resources/images/headerpdf.jpg" alt="Imagen" width="100%">
    </div>
</div>
<div class="form-group row">
    <div class="col-md-12 col-xs-12 col-sm-12">
        <h5>Hola <b>'.$nombreAlumno.'</b>.</h5>
    </div>
</div>
<div class="form-group row">
    <div class="col-md-12 col-xs-12 col-sm-12">
        <div class="card">
            <div class="card-header" style="background: #B9F0D0;text-align: center;">
                <strong  style="color: #00B74A;"><img src="../resources/images/iconopaloma.png" width="20px" height="20px">&nbsp;See your results.</strong>
            </div>
        </div>
    </div>
</div>
<div class="form-group row">
    <div class="col-md-12 col-xs-12 col-sm-12">
        <p class="text-justify">
            <strong style="color:#4B96CE">FINDINGS.</strong><br>
            <strong>How well does your life roll?</strong>
        </p>
        <p class="text-justify">
            Observe and pay attention to the shape inside your wheel. Imagine that this is the amount of air in your wheel and answer the following questions.
            <ul>
                <li>Can I roll and live well with that amount of air?</li>
                <li>If there are deflated areas: what do I attribute them to?</li>
                <li>What can I do to inflate the low air areas more to make my wheel spin better?</li>
                <li>What immediate actions can I take to achieve a better balance between my areas?</li>
            </ul>
        </p>
    </div>
</div>
<br>
<br>
<table>
    <tr>
        <td width="70%">
            <img width="550px" height="550px"  src="'. $rowRespuestasEncuesta["imagenGrafica"].'" />     
        </td>
        <td width="30%" style="text-align: justify;">
        <div>
            <h4><strong style="color:#4B96CE">Retroalimentaci&oacute;n</strong></h4>
            <br>
            <p class="text-justify">
                Plotting your <strong>wheel of life</strong> allows you to identify <strong>relevant areas</strong> that you are not paying <strong>enough attention</strong> to, and to add <strong>new areas</strong> that could be a <strong>source of satisfaction</strong> and personal development.<br><br>
				Achieving balance, harmony, in different areas of our lives is a <strong>personal responsibility</strong>. No one else can assure you balance. Nobody can do it for you. There will be times where one area of your life <strong>goes flat</strong> while other areas have <strong>enough air</strong>. And for this reason it is important to be attentive to the different areas for ourselves to <strong>balance, harmonize</strong>.
            </p>
        </div>
        </td>
    </tr>
</table>
       
';
$html=utf8_encode($html);
$mpdf = new \Mpdf\Mpdf(['tempDir' => sys_get_temp_dir().DIRECTORY_SEPARATOR.'mpdf', 'mode' => 'utf-8' ,
    'format' => 'Letter' , 'margin_left' => 8 , 'margin_right' => 8 , 'margin_top' => 5 ,
    'margin_bottom' => 10 ,'margin-header'=>5, 'margin-footer'=>10,'orientation' => 'P' ]);
$mpdf->ignore_invalid_utf8 = true;
$mpdf->SetDisplayMode('fullpage');
//$cssbootstrap=file_get_contents('https://sadpro.osvaldo.com/encuesta2/resources/css/bootstrap.css');
//$mpdf->WriteHTML($cssbootstrap,1);
$mpdf->WriteHTML($html);
ob_clean(); // cleaning the buffer before Output()
$nombreArchivo = 'Encuesta233_' . $encuesta233Id;
$mpdf->Output($nombreArchivo . '.pdf', "I");